Description

I've found three bugs when loading data from ArcGIS Feature Server.

1. When adding a filter using "Build query", the filter isn't used at all. I've checked it with a proxy: the filter is ignored. Using OGR on

command-line, the same query works (tried on several MapFeature servers)-

2. When adding a filter using "Build query", the BBOX gets fixed to the current screen extent. "Cache Feature" or "Only request features

overlapping the current view extent" on or off doesn't change anything.

3. The filter cannot be removed. The empty "Expresstion String Builder" can't be closed with "okay" (when there's no filter, the button is

grayed out)... filter workaround: "TRUE"

History

#1 - 2018-09-10 06:21 PM - Tobias Wendorff

For example, try it on this server. It delivers Features and Imagery on the same URL (it accepts queries):

https://www.gis.nrw.de/arcgis/rest/services/umwelt_laerm/stufe3/MapServer

Here's my demo query on layer 1 "gemeinden": "name" = 'Dortmund'

#2 - 2018-09-10 06:26 PM - Tobias Wendorff

Additional bugs (please add them to the first post, Redmine system doesn't allow editing first posts...)

4. Filter can't be dropped, even when removing the server URL and adding it again!

5. Data gets downloaded in background, even if the layer is deactivated in layer tree (wow, that's a really bad bug). It has downloaded tons of useful data

while scrolling...

#3 - 2019-02-05 04:51 AM - Tobias Wendorff

- Affected QGIS version changed from 3.3(master) to 3.5(master)

This is still a bug on 3.5.0-Master, revision 9a8c0d2898

Actually, someone seems to have removed right-click filter menu from ArcGIS Feature Server layers... so you can't filter anything here. That's a bad bug.
ArcGIS Feature Server layers are capable of handling sql=, so are ArcGIS servers. Can we work on this somehow? At least, a raw filter line would be nice

for advanced users.

#4 - 2019-02-05 05:38 AM - Nyall Dawson

Actually, someone seems to have removed right-click filter menu from ArcGIS Feature Server layers... so you can't filter anything here. That's a bad

bug.

That was me -- the filter option wasn't hooked up to anything, so there was no point in having it!

This is a feature request now "allow filtering of AFS layers on server side"

#5 - 2019-02-05 05:45 AM - Tobias Wendorff

Thanks for the information.

Nyall Dawson wrote:

That was me -- the filter option wasn't hooked up to anything, so there was no point in having it!

Ah okay, I thought it just was broken and not completely non-implemented :)

Nyall Dawson wrote:

This is a feature request now "allow filtering of AFS layers on server side"

AFAIK, filtering on field level works like standard SQL. I'll search for the feature request.
